Errors when I try to add differents addon

add-ons

(Watakach) #1

Hello, I am sorry if this is not the right place to write this.

I thought I had one issue with one addon recently, but tonight I realized that I cannot add a lot of add-ons and I have a lot of different errors, I don’t know if it’s related and if someone has an idea, but I really don’t know what to do. I reinstalled blender, tried to repaired, updated python, and I have still the same message. (It happens when I tick the add-on)

For A.N.T

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\blender\2.79\scripts\modules\addon_utils.py", line 331, in enable
    mod = __import__(module_name)
  File "C:\Program Files\Blender Foundation\blender\2.79\scripts\addons\ant_landscape\__init__.py", line 42, in <module>
    from ant_landscape import add_mesh_ant_landscape
  File "C:\Program Files\Blender Foundation\blender\2.79\scripts\addons\ant_landscape\add_mesh_ant_landscape.py", line 33, in <module>
    from .ant_functions import (
  File "C:\Program Files\Blender Foundation\blender\2.79\scripts\addons\ant_landscape\ant_functions.py", line 769, in <module>
    from .eroder import Grid
  File "C:\Program Files\Blender Foundation\blender\2.79\scripts\addons\ant_landscape\eroder.py", line 29, in <module>
    import numpy as np
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\site-packages\numpy\__init__.py", line 180, in <module>
    from . import add_newdocs
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\site-packages\numpy\add_newdocs.py", line 13, in <module>
    from numpy.lib import add_newdoc
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\site-packages\numpy\lib\__init__.py", line 8, in <module>
    from .type_check import *
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\site-packages\numpy\lib\type_check.py", line 11, in <module>
    import numpy.core.numeric as _nx
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\site-packages\numpy\core\__init__.py", line 21, in <module>
    from . import _internal  # for freeze programs
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\site-packages\numpy\core\_internal.py", line 14, in <module>
    import ctypes
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\ctypes\__init__.py", line 7, in <module>
    from _ctypes import Union, Structure, Array
ImportError: DLL load failed: %1 is not a valid Win32 application.

For Sketchfab importer add-on:

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\site-packages\requests\packages\__init__.py", line 27, in <module>
    from . import urllib3
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\site-packages\requests\packages\urllib3\__init__.py", line 8, in <module>
    from .connectionpool import (
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 7, in <module>
    from socket import error as SocketError, timeout as SocketTimeout
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\socket.py", line 49, in <module>
    import _socket
ImportError: DLL load failed: %1 is not a valid Win32 application.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\blender\2.79\scripts\modules\addon_utils.py", line 331, in enable
    mod = __import__(module_name)
  File "C:\Users\RaFF\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\io_sketchfab_gallery\__init__.py", line 24, in <module>
    import requests
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\site-packages\requests\__init__.py", line 61, in <module>
    from .packages.urllib3.exceptions import DependencyWarning
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\site-packages\requests\packages\__init__.py", line 29, in <module>
    import urllib3
ImportError: No module named 'urllib3'

And finally for chocofur_model_manager

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\blender\2.79\scripts\modules\addon_utils.py", line 331, in enable
    mod = __import__(module_name)
  File "C:\Users\RaFF\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\chocofur_model_manager\__init__.py", line 23, in <module>
    modules = developer_utils.setup_addon_modules(__path__, __name__, "bpy" in locals())
  File "C:\Users\RaFF\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\chocofur_model_manager\developer_utils.py", line 35, in setup_addon_modules
    modules = import_submodules(names)
  File "C:\Users\RaFF\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\chocofur_model_manager\developer_utils.py", line 27, in import_submodules
    modules.append(importlib.import_module("." + name, package_name))
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "C:\Users\RaFF\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\chocofur_model_manager\addon_updater.py", line 26, in <module>
    import ssl
  File "C:\Program Files\Blender Foundation\blender\2.79\python\lib\ssl.py", line 99, in <module>
    import _ssl             # if we can't import it, let the error propagate
ImportError: DLL load failed: %1 is not a valid Win32 application.

The thing in common is the "not valid Win32 application, I am running 64b, but I don’t know what DLL it is.

If someone have any idea, I will very much appreciate :slight_smile:


(Watakach) #2

If someone has this issue, just delete (or rename) your “C:\Users\UserName\AppData\Roaming\Blender Foundation\Blender\2.79”

It is jsut weird that it’s mainly talk about here : “C:\Program Files\Blender Foundation\blender\2.79\python”

When the problem is in AppData. I will have to re-add everything, which is probably good to restart from scratch after so long :slight_smile: